## libpuzzle 0.9

=== debian/changelog ===
libpuzzle (0.9-6) unstable; urgency=medium

  * Add a patch to force linking against libm (Closes: #734564)
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on
    ppc64el. Thanks to Logan Rosen <logan@ubuntu.com> for the patches.
  * Bump Standards-Version to 3.9.5
  * Tiny updates in debian/copyright
  * Fix Vcs-Browser field
  * Add symbols file for libpuzzle1

 -- Emmanuel Bouthenot <kolter@debian.org>  Fri, 21 Mar 2014 21:44:57 +0100

libpuzzle (0.9-5) unstable; urgency=low

  * Taking over the maintenance of libpuzzle: add myself to Uploaders
    (Closes: #651426)
  * Bump Standards-Version to 3.9.3
  * Switch source format to '3.0 (quilt)'
  * Switch build system to full debhelper 9 (bye bye CDBS)
  * Add a patch to cleanly build the PHP module separately
  * Add Multi-Arch support
  * Fix typo in libpuzzle manpage
  * Fix various pod errors in manpages pod files
  * Switch debian/copyright to DEP5 format
  * Update Vcs-* fields
  * Use php5{en,dis}mod for conffile handling (Closes: #667769)

 -- Emmanuel Bouthenot <kolter@debian.org>  Sun, 06 May 2012 13:08:20 +0000

libpuzzle (0.9-4) unstable; urgency=high

  * Fix missing dependency on phpapi-* for libpuzzle-php, thanks to
    Raphael Geissert (Closes: #566289):
     - Add ${php:Depends} to its Depends.
     - Use $(php-config5 --phpapi) to define this variable in the
       associated substvars file.
  * Set urgency to “high” accordingly.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 28 Jan 2010 20:35:16 +0100

libpuzzle (0.9-3) unstable; urgency=low

  * Fix comment in debian/libpuzzle.ini as requested by Thijs Kinkhorst
    since the previous style generates warnings with PHP 5.3: Replace
    leading “#” with “;”, which is said to work with all current PHP
    versions.
  * Add ${misc:Depends} to libpuzzle-dev.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 03 Jan 2010 20:24:13 +0100

libpuzzle (0.9-2) unstable; urgency=low

  * Pass “LDFLAGS=""” to the PHP extension's ./configure script. Since
    dpkg-buildpackage now exports LDFLAGS, an FTBFS is triggered because
    of “-Wl,-z,defs” (which was previously only used for the shared
    library, as intended); and since “-Wl,--as-needed” isn't sufficient to
    get rid of extra linking for that extension anyway, passing an empty
    LDFLAGS variable for that part of the build (Closes: #475984).
  * Move the maintainership to pkg-phototools as originally planned
    (thanks to to Emmanuel Bouthenot who proposed that package):
     - Set Maintainer to pkg-phototools.
     - Set Uploaders to myself, and update the mail address.
     - Add Vcs-Browser and Vcs-Git.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 26 Apr 2008 11:34:21 +0200

libpuzzle (0.9-1) unstable; urgency=low

  * Initial release (Closes: #445180).

 -- Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>  Mon, 17 Mar 2008 01:25:25 +0100
