=== debian/control ===
Source: libpuzzle
Section: graphics
Priority: extra
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: Emmanuel Bouthenot <kolter@debian.org>
Build-Depends:
    debhelper (>= 9),
    dh-autoreconf,
    chrpath,
    php5-dev,
    libgd2-noxpm-dev
Standards-Version: 3.9.5
Homepage: http://libpuzzle.pureftpd.org/project/libpuzzle
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/libpuzzle.git
Vcs-Git: git://anonscm.debian.org/pkg-phototools/libpuzzle.git

Package: libpuzzle1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: quick similar image finder - shared library
 The Puzzle library is designed to quickly find visually similar images
 (GIF, PNG, JPG), even if they have been resized, recompressed,
 recolored or slightly modified.
 .
 This package contains the C library.

Package: libpuzzle-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: quick similar image finder - runtime tool
 The Puzzle library is designed to quickly find visually similar images
 (GIF, PNG, JPG), even if they have been resized, recompressed,
 recolored or slightly modified.
 .
 This package contains the command-line tool: puzzle-diff.

Package: libpuzzle-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpuzzle1 (= ${binary:Version})
Description: quick similar image finder - development files
 The Puzzle library is designed to quickly find visually similar images
 (GIF, PNG, JPG), even if they have been resized, recompressed,
 recolored or slightly modified.
 .
 This package contains the development files.

Package: libpuzzle-php
Section: interpreters
Architecture: any
Pre-Depends: dpkg (>= 1.15.7.2~)
Depends: ${shlibs:Depends}, ${misc:Depends}, ${php:Depends}
Description: quick similar image finder - PHP bindings
 The Puzzle library is designed to quickly find visually similar images
 (GIF, PNG, JPG), even if they have been resized, recompressed,
 recolored or slightly modified.
 .
 This package contains the PHP bindings.
