=== debian/watch ===
version=3

http://download.pureftpd.org/pub/pure-ftpd/misc/libpuzzle/releases/libpuzzle-([0-9.]+).tar.gz
