## libpuzzle 0.11

=== debian/changelog ===
libpuzzle (0.11-4) unstable; urgency=medium

  * Team upload.
  * Switch debhelper compatibility to 13
  * Bump Standards-Version to 4.7.2
  * Replace two debian manpages with upstreamed ones

 -- Alexandre Detiste <tchet@debian.org>  Sun, 05 Oct 2025 15:40:57 +0200

libpuzzle (0.11-3) unstable; urgency=medium

  * Change priority from extra to optional
  * Switch debhelper compatibility to 12
  * Bump Standards-Version to 4.3.0
  * Update Vcs-Git and Vcs-Browser with new repository on salsa.debian.org
  * Add Build-Depends-Package to debian/libpuzzle1.symbols
  * Fix debian/copyright Format URI to use https
  * Add a lintian override about PHP examples not installed
  * Add debian/upstream/metadata

 -- Emmanuel Bouthenot <kolter@debian.org>  Wed, 27 Feb 2019 02:18:31 +0000

libpuzzle (0.11-2) unstable; urgency=medium

  * Team upload.
  * debian/control:
      - Build-Depends: libgd-dev instead of libgd2-noxpm-dev.
        (Closes: #880774) -  Thanks Adrian Bunk
  * debian/rules:
      - Add DEB_CFLAGS_MAINT_APPEND = -fPIE
      - Add DEB_LDFLAGS_MAINT_APPEND = -fPIE -pie

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Sun, 12 Nov 2017 14:18:03 -0200

libpuzzle (0.11-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * All references to build libpuzzle-php package were
    removed. No support to PHP7. (Closes: #821688)
  * debian/control:
      - Bump Standards-Version from 3.9.5 to 3.9.8.
      - Homepage entry updated. github.com
      - Vcs-* entries updated. And using https.
      - php5-dev removed from Build-Depends.
      - chrpath removed from Build-Depends.
      - libpuzzle-php entry removed. No support to PHP7. No reverse depends.
  * debian/copyright:
      - Upstream Copyright: 2007-2009
  * debian/patches:
      - 02_link_against_libm renamed to 02_link_against_libm_jump_regress_1_test
        Add a reference to skip regress_1 test. As recommended by the upstream.
        Please see the header.
  * debian/rules:
      - References to php removed. libpuzzle 0.11 does not support PHP7.
        (Closes: #
      - Hardening added.
      - LDFLAGS maint append added.
  * debian/watch:
      - version 4.
      - github address added. There is no release on github yet. A guess line.

 -- Herbert Parentes Fortes Neto <hpfn@debian.org>  Mon, 19 Sep 2016 12:20:45 -0300
