=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -fPIE
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -fPIE -pie

UPSTREAMSTUFF  = INSTALL configure aclocal.m4 install-sh ltmain.sh missing
UPSTREAMSTUFF += $(shell find -iname '*.in' -o -iname '*.in.upstream' | sed 's/\.upstream//')

%:
	dh $@

override_dh_autoreconf:
	# Backup upstream stuff
	for file in $(UPSTREAMSTUFF); do \
 		if [ -e $$file ] && [ ! -e $$file.upstream ] ; then \
 			cp $$file $$file.upstream ; \
 		fi \
 	done
	dh_autoreconf

libpuzzle-build-stamp:
	dh_auto_build
	touch $@

override_dh_auto_build:
	pod2man --center "" --date "" --release "" --section=1 \
		debian/manpages/puzzle-diff.pod -o debian/puzzle-diff.1

execute_after_dh_auto_clean:
	rm -f debian/puzzle-diff.1 debian/libpuzzle.3 debian/puzzle_set.3
	find $(CURDIR) -name Makefile | xargs rm -f

execute_after_dh_clean:
	# Restore upstream stuff
	for file in $(UPSTREAMSTUFF); do \
		if [ -e $$file.upstream ] ; then \
			rm -f $$file; \
			mv $$file.upstream $$file; \
		fi \
	done
